SLING-3017 Improve Karaf integration tests
authorOliver Lietz <olli@apache.org>
Thu, 25 Oct 2018 11:07:52 +0000 (13:07 +0200)
committerOliver Lietz <olli@apache.org>
Thu, 25 Oct 2018 11:07:52 +0000 (13:07 +0200)
* use latest releases
* downgrade flapdoodle dependencies again

pom.xml

diff --git a/pom.xml b/pom.xml
index cad8791..0ff0adb 100644 (file)
--- a/pom.xml
+++ b/pom.xml
@@ -78,7 +78,7 @@
     <dependency>
       <groupId>org.apache.sling</groupId>
       <artifactId>org.apache.sling.api</artifactId>
-      <version>2.18.0</version>
+      <version>2.18.4</version>
       <scope>test</scope>
     </dependency>
     <dependency>
@@ -90,7 +90,7 @@
     <dependency>
       <groupId>org.apache.sling</groupId>
       <artifactId>org.apache.sling.engine</artifactId>
-      <version>2.6.12</version>
+      <version>2.6.14</version>
       <scope>test</scope>
     </dependency>
     <dependency>
     <dependency>
       <groupId>org.apache.jackrabbit</groupId>
       <artifactId>jackrabbit-jcr-commons</artifactId>
-      <version>2.16.1</version>
+      <version>2.16.3</version>
       <scope>test</scope>
     </dependency>
     <!-- bnd -->
       <!-- zombie processes like extract-fd770c28-8fb5-4092-87d5-4100c18a8f32extractmongod with versions greater 2.0.0 use 100% CPU -->
       <groupId>de.flapdoodle.embed</groupId>
       <artifactId>de.flapdoodle.embed.mongo</artifactId>
-      <version>2.0.0</version>
+      <version>1.50.5</version>
       <scope>test</scope>
     </dependency>
     <dependency>
       <groupId>de.flapdoodle.embed</groupId>
       <artifactId>de.flapdoodle.embed.process</artifactId>
-      <version>2.0.2</version>
+      <version>1.50.2</version>
       <scope>test</scope>
     </dependency>
     <dependency>
     <dependency>
       <groupId>com.couchbase.mock</groupId>
       <artifactId>CouchbaseMock</artifactId>
-      <version>1.5.14</version>
+      <version>1.5.19</version>
       <scope>test</scope>
     </dependency>
     <dependency>
     <dependency>
       <groupId>com.google.code.gson</groupId>
       <artifactId>gson</artifactId>
-      <version>2.8.2</version>
+      <version>2.8.5</version>
       <scope>test</scope>
     </dependency>
     <dependency>
     <dependency>
       <groupId>org.apache.servicemix.bundles</groupId>
       <artifactId>org.apache.servicemix.bundles.rhino</artifactId>
-      <version>1.7.8_1</version>
+      <version>1.7.10_1</version>
       <scope>test</scope>
     </dependency>
     <dependency>